Subject: 29.2; warning "docstring has wrong usage of unescaped single quotes" in easy-mmode.el

From: "R. Diez" <[email-masked]>
Date: Sun, 26 Jan 2025 18:58:12 +0100

I am getting the following warning in 'dtrt-indent-global-mode':

dtrt-indent.el:208:2: Warning: docstring has wrong usage of unescaped single quotes (use \= or different quoting)

The author of package dtrt-indent.el says the warning is incorrect:

https://github.com/jscheid/dtrt-indent/issues/79#issuecomment-2614031451

I do now know much Lisp myself, but I suspect the warning probably actually comes from macro 'define-globalized-minor-mode' in easy-mmode.el, because that macro apparently does have a docstring without proper quoting.

I am reporting this bug here because easy-mmode.el says it is part of Emacs.